For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete WordPress installation

Delete the specified WordPress installation, with optional file and database removal.

Delete WordPress installation

delete

Delete the specified WordPress installation, with optional file and database removal. This removes all associated components including plugins, themes, staging websites and any other related data.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Body
delete_filesbooleanOptional

Delete installation files from disk.

Default: falseExample: false
delete_databasebooleanOptional

Delete the installation database.

Default: falseExample: false
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
delete/api/hosting/v1/accounts/{username}/wordpress/{software}
DELETE /api/hosting/v1/accounts/{username}/wordpress/{software} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "delete_files": false,
  "delete_database": false
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?